## openstack-trove 5.1.0

=== debian/changelog ===
openstack-trove (1:5.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Aug 2016 09:08:43 +0000

openstack-trove (1:5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (buid-)depends for this point release.
  * Added pt_BR.po new debconf translation (Closes: #829346).
  * Fixed python-swiftclient missing EPOC.
  * Added use-realpath-function-to-find-my.cnf-in-debian.patch
    (Closes: #829369).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Jul 2016 15:59:22 +0200

openstack-trove (1:5.0.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix db migration with MySQL 5.6 (Closes: #827739).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jun 2016 13:13:00 +0000

openstack-trove (1:5.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821238).
  * Set use_nova_config_drive to True by default.
  * Updated Dutch translation for debconf messages (Closes: #822970).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 11:24:58 +0200

openstack-trove (1:5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:55:44 +0200

openstack-trove (1:5.0.0~rc2-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 12:07:16 +0200

openstack-trove (1:5.0.0~rc2-2) experimental; urgency=medium

  * Added better-default-config.patch.
  * Fixed trove-guestagent startup parameters.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Apr 2016 18:02:48 +0200

openstack-trove (1:5.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Added /etc/trove/cloudinit/README file, so that the /etc/trove/cloudinit
    folder stays installed.
  * Added "pkgos_rabbit_read_conf ${CONF} oslo_messaging_rabbit trove" in the
    config script.
  * Sets Neutron as network manager by default, and not nova-network.
  * Move all config files handling within trove-common.
  * Move all logrotate stuff within trove-common.logrotate.
  * Write db and rabbit info in all needed config files.
  * Add make-trove-taskmanager.conf-parseable.patch.
  * Add install-missing-files.patch.
  * Add add-keystone_authtoken-in-trove.conf.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2016 10:25:54 +0200

openstack-trove (1:5.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2016 08:05:35 +0000

openstack-trove (1:5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added couchdb as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:20:28 +0100

openstack-trove (1:5.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed patches.
  * Added (= ${binary:Version}) in all Depends: trove-common.
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.
  * Fails build on unit test failure.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 10:03:36 +0100

openstack-trove (1:5.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Redesign running unit tests.
  * Black list:
    - guestagent.test_dbaas.BaseDbStatusTest.test_begin_install
    - guestagent.test_vertica_manager.GuestAgentManagerTest.test_cluster_complete
  * Allow unit tests to fail until this bug is solved:
    - https://bugs.launchpad.net/trove/+bug/1537306

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 17:42:26 +0100

openstack-trove (1:4.0.0-3) unstable; urgency=medium

  * Added q-text-as-data in depends of trove-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:55:15 +0000

openstack-trove (1:4.0.0-2) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 09:13:13 +0000

openstack-trove (1:4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-no-support-for-sslv3-in-debian.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Oct 2015 03:10:20 +0100

openstack-trove (2015.1.0-4) unstable; urgency=medium

  * Rebuilt with SQLAlchemy >= 1.0 (Closes: #794352).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Aug 2015 07:59:39 +0000

openstack-trove (2015.1.0-3) unstable; urgency=medium

  * Removes the suggests: python-suds (Closes: #788083).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 15:28:24 +0200

openstack-trove (2015.1.0-2) unstable; urgency=medium

  * Added creation of /var/cache/trove (owned by trove:trove).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2015 01:12:42 +0200

openstack-trove (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 22:14:22 +0000

openstack-trove (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.
  * Dropped do-not-use-network-when-building-docs.patch now useless.
  * Allow unit tests to fail.
  * Rebased default sql connection patch, and fixed directive names.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jan 2015 22:43:50 +0100

openstack-trove (2014.2-2) experimental; urgency=medium

  * Added nl.po debconf translation (Closes: #767422).

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 18:23:16 +0800

openstack-trove (2014.2-1) experimental; urgency=medium

  * New upstream release.


