=== debian/changelog ===
openstack-trove (1:5.1.1-0ubuntu2) xenial; urgency=medium

  * d/p/add-missing-import.patch: Cherry-pick patch from upstream
    to add missing '_LE' import for trove-guestagent (LP: #1620888).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Oct 2016 17:42:56 +0200

openstack-trove (1:5.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1619318).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Sep 2016 15:26:33 -0400

openstack-trove (1:5.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1604007).
  * d/p/skip-failing-tests.patch: Rebased.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 21 Jul 2016 11:24:01 -0400

openstack-trove (1:5.0.1-0ubuntu1) xenial; urgency=medium

  [ James Page ]
  * d/*.init.in: Use correct configuration file for each of the trove
    daemons (LP: #1516471).

  [ Corey Bryant ]
  * New upstream point release for OpenStack Mitaka (LP: #1601854).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Jul 2016 10:19:11 -0400
