=== debian/control ===
--- 
+++ 
@@ -1,57 +1,53 @@
 Source: openstack-trove
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Julien Danjou <acid@debian.org>,
+           Thomas Goirand <zigo@debian.org>,
+           Mehdi Abaakouk <sileht@sileht.net>,
+           David Della Vecchia <ddv@canonical.com>,
+Build-Depends: debhelper (>= 9~),
+               dh-exec,
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
-               po-debconf,
+               openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: iproute2,
-                     net-tools,
-                     python-babel,
-                     python-cassandra,
+Build-Depends-Indep: python-babel (>= 1.3),
+                     python-cassandra (>= 2.1.4),
                      python-cinderclient (>= 1:1.3.1),
-                     python-coverage,
-                     python-crypto,
+                     python-couchdb (>= 0.8),
+                     python-coverage (>= 3.6),
                      python-designateclient (>= 1.5.0),
-                     python-enum34,
-                     python-eventlet (>= 0.18.4),
-                     python-fs,
-                     python-gdata,
+                     python-eventlet (>= 0.18.2),
                      python-hacking (>= 0.10.0),
                      python-heatclient (>= 0.6.0),
-                     python-httplib2,
-                     python-iso8601,
+                     python-httplib2 (>= 0.7.5),
+                     python-iso8601 (>= 0.1.9),
                      python-jinja2 (>= 2.8),
-                     python-jsonschema,
-                     python-keyczar,
+                     python-jsonschema (>= 2.0.0),
                      python-keystoneclient (>= 1:1.6.0),
                      python-keystonemiddleware (>= 4.0.0),
-                     python-lxml,
+                     python-lxml (>= 2.3),
                      python-migrate (>= 0.9.6),
-                     python-mock (>= 1.3),
-                     python-mox3,
+                     python-mock (>= 1.2),
+                     python-mox3 (>= 0.7.0),
                      python-mysqldb,
                      python-netaddr (>= 0.7.12),
-                     python-netifaces,
+                     python-netifaces (>= 0.10.4),
                      python-neutronclient (>= 1:2.6.0),
                      python-nose,
                      python-nosexcover,
                      python-novaclient (>= 2:2.29.0),
                      python-openstack-doc-tools (>= 0.23),
-                     python-openstack.nose-plugin,
                      python-oslo.concurrency (>= 3.7.1),
                      python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 2.0.0),
+                     python-oslo.log (>= 1.14.0),
                      python-oslo.messaging (>= 4.0.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.serialization (>= 1.10.0),
@@ -61,49 +57,50 @@
                      python-osprofiler (>= 1.1.0),
                      python-passlib (>= 1.6),
                      python-paste,
-                     python-pastedeploy,
-                     python-pexpect,
-                     python-proboscis,
+                     python-pastedeploy (>= 1.5.0),
+                     python-pbr (>= 1.8),
+                     python-pexpect (>= 3.1),
                      python-psycopg2 (>= 2.5),
+                     python-proboscis (>= 1.2.5.3),
                      python-pymongo (>= 3.0.2),
+                     python-pymysql,
                      python-redis (>= 2.10.0),
-                     python-routes,
+                     python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
                      python-swiftclient (>= 1:2.2.0),
                      python-testtools (>= 1.4.0),
-                     python-troveclient (>= 1:2.0.0),
-                     python-webob,
-                     python-webtest,
-                     python-wsgi-intercept,
-                     subunit,
-                     testrepository,
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/openstack-trove.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/openstack-trove.git
-Homepage: https://github.com/openstack/trove
+                     python-troveclient,
+                     python-webob (>= 1.2.3),
+                     python-webtest (>= 2.0),
+                     python-wsgi-intercept (>= 0.6.1),
+                     subunit (>= 0.0.18),
+                     testrepository (>= 0.0.18),
+Standards-Version: 3.9.6
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
+Homepage: http://github.com/openstack/trove
 
 Package: python-trove
 Architecture: all
 Section: python
-Depends: python-babel,
+Depends: python-babel (>= 1.3),
          python-cinderclient (>= 1:1.3.1),
          python-designateclient (>= 1.5.0),
-         python-eventlet (>= 0.18.4),
-         python-enum34,
+         python-eventlet (>= 0.18.2),
          python-heatclient (>= 0.6.0),
-         python-httplib2,
-         python-iso8601,
+         python-httplib2 (>= 0.7.5),
+         python-iso8601 (>= 0.1.9),
          python-jinja2 (>= 2.8),
-         python-jsonschema,
+         python-jsonschema (>= 2.0.0),
          python-keystoneclient (>= 1:1.6.0),
          python-keystonemiddleware (>= 4.0.0),
-         python-lxml,
+         python-lxml (>= 2.3),
          python-migrate (>= 0.9.6),
          python-mysqldb,
          python-netaddr (>= 0.7.12),
-         python-netifaces,
+         python-netifaces (>= 0.10.4),
          python-neutronclient (>= 1:2.6.0),
          python-novaclient (>= 2:2.29.0),
          python-oslo.concurrency (>= 3.7.1),
@@ -111,7 +108,7 @@
          python-oslo.context (>= 0.2.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 2.0.0),
+         python-oslo.log (>= 1.14.0),
          python-oslo.messaging (>= 4.0.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.serialization (>= 1.10.0),
@@ -120,17 +117,19 @@
          python-osprofiler (>= 1.1.0),
          python-passlib (>= 1.6),
          python-paste,
-         python-pastedeploy,
+         python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
-         python-pexpect,
-         python-routes,
+         python-pexpect (>= 3.1),
+         python-pymysql,
+         python-routes (>= 1.12.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
          python-swiftclient (>= 1:2.2.0),
-         python-webob,
-         ${misc:Depends},
-         ${python:Depends},
+         python-webob (>= 1.2.3),
+         ${misc:Depends},
+         ${python:Depends},
+Suggests: python-suds (>= 0.4.0),
 Conflicts: python-cjson,
 Description: Database as a Service for OpenStack - Python lib
  Trove is "Database as a Service" for Openstack. It's designed to allow users
@@ -150,7 +149,6 @@
 Package: trove-common
 Architecture: all
 Depends: adduser,
-         dbconfig-common,
          python-trove (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
@@ -172,10 +170,7 @@
 
 Package: trove-api
 Architecture: all
-Depends: adduser,
-         trove-common (= ${binary:Version}),
-         python-openstackclient,
-         q-text-as-data,
+Depends: trove-common,
          ${misc:Depends},
          ${python:Depends},
 Description: Database as a Service for OpenStack - API server
@@ -197,8 +192,7 @@
 
 Package: trove-guestagent
 Architecture: all
-Depends: adduser,
-         trove-common (= ${binary:Version}),
+Depends: trove-common,
          ${misc:Depends},
          ${python:Depends},
 Description: Database as a Service for OpenStack - guest agent
@@ -221,8 +215,7 @@
 
 Package: trove-taskmanager
 Architecture: all
-Depends: adduser,
-         trove-common (= ${binary:Version}),
+Depends: trove-common,
          ${misc:Depends},
          ${python:Depends},
 Description: Database as a Service for OpenStack - taskmanager
@@ -244,8 +237,7 @@
 
 Package: trove-conductor
 Architecture: all
-Depends: adduser,
-         trove-common (= ${binary:Version}),
+Depends: trove-common,
          ${misc:Depends},
          ${python:Depends},
 Description: Database as a Service for OpenStack - conductor
@@ -257,7 +249,3 @@
  focus on providing resource isolation at high performance while automating
  complex administrative tasks including deployment, configuration, patching,
  backups, restores, and monitoring. Trove is designed to support a
- single-tenant database within a Nova instance. There is no restrictions on how
- Nova is configured, since Trove interacts with other OpenStack components
- purely through the API.
- .
